Bug 874455 - [abrt] blueman-1.23-2.fc17: utils.py:28:warp:DBusDoesNotExistError: Device creation in progress
[abrt] blueman-1.23-2.fc17: utils.py:28:warp:DBusDoesNotExistError: Device cr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:e35e3ed72c4af1950f9eeea8f32...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 03:57 EST by Matthias Gehre
Modified: 2013-08-01 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:03:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: executable (24 bytes, text/plain)
2012-11-08 03:57 EST, Matthias Gehre
no flags Details
File: environ (1.22 KB, text/plain)
2012-11-08 03:57 EST, Matthias Gehre
no flags Details
File: smolt_data (3.41 KB, text/plain)
2012-11-08 03:57 EST, Matthias Gehre
no flags Details
File: core_backtrace (319 bytes, text/plain)
2012-11-08 03:57 EST, Matthias Gehre
no flags Details

  None (edit)
Description Matthias Gehre 2012-11-08 03:57:35 EST
Description of problem:
I was using blueman-manager to make my bluetooth mouse pair with the fedora laptop.

Version-Release number of selected component:
blueman-1.23-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/blueman-manager
kernel:         3.6.3-1.fc17.x86_64

backtrace:
:utils.py:28:warp:DBusDoesNotExistError: Device creation in progress
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/blueman/gui/manager/ManagerToolbar.py", line 78, in on_action
:    func(device)
:  File "/usr/bin/blueman-manager", line 287, in remove
:    self.List.Adapter.RemoveDevice(device.Device)
:  File "/usr/lib/python2.7/site-packages/blueman/bluez/utils.py", line 28, in warp
:    raise errors.parse_dbus_error(exception)
:DBusDoesNotExistError: Device creation in progress
:
:Local variables in innermost frame:
:exception: DBusException('Device creation in progress',)
:args: (<blueman.bluez.Adapter.Adapter object at 0xfca650>, <blueman.bluez.Device.Device object at 0xfe0510>)
:func: <function RemoveDevice at 0xdbccf8>
:kwargs: {}

Potential duplicate bug: 706785
Comment 1 Matthias Gehre 2012-11-08 03:57:37 EST
Created attachment 640647 [details]
File: executable
Comment 2 Matthias Gehre 2012-11-08 03:57:39 EST
Created attachment 640648 [details]
File: environ
Comment 3 Matthias Gehre 2012-11-08 03:57:41 EST
Created attachment 640649 [details]
File: smolt_data
Comment 4 Matthias Gehre 2012-11-08 03:57:43 EST
Created attachment 640650 [details]
File: core_backtrace
Comment 5 Fedora End Of Life 2013-07-03 21:31:21 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 02:03:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.